Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000003 [Yate - Yet Another Telephony Engine] minor N/A 2005-10-19 17:47 2005-11-21 23:53
Reporter maciejka View Status public  
Assigned To
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000003: Echo channel module.
Description Echoes back incoming voice. Good for testing.
Additional Information
Tags No tags attached.
Attached Files cpp file icon echochan.cpp [^] (4,869 bytes) 2005-10-19 17:47

- Relationships

-  Notes
(0000001)
maciejka (reporter)
2005-10-19 17:48

At the moment it uses default(slin) format. As it simply shuffles data blocks it should use peer format. Question is how to do it for call.execute(chan.attach is simpler I suppose).
(0000003)
diana (administrator)
2005-11-07 07:03

Implementation of this module it's avaible in conference module.
(0000004)
diana (administrator)
2005-11-07 07:04

This feature it's avaible in conference module in main branch.
(0000005)
maciejka (reporter)
2005-11-21 23:53

Well, not quite. Conference module does not send call.answered(to use it as true channel replacement) and does not handle chan.attach(to use it with extmodule). Echo does both.

- Issue History
Date Modified Username Field Change
2005-10-19 17:47 maciejka New Issue
2005-10-19 17:47 maciejka File Added: echochan.cpp
2005-10-19 17:48 maciejka Note Added: 0000001
2005-11-07 07:03 diana Note Added: 0000003
2005-11-07 07:04 diana Status new => closed
2005-11-07 07:04 diana Note Added: 0000004
2005-11-07 07:04 diana Resolution open => fixed
2005-11-21 23:53 maciejka Note Added: 0000005


Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker